### Name: existHistory
### Title: Verify Existence of an Embedded History Object
### Aliases: existHistory
### Keywords: utilities

### ** Examples

## check for the existence of a registered history 
## in an object without one (FALSE) 
z <- 1:5
existHistory(z)

## create a simple history 
z <- eventHistory(z, "Event A"=list(number="first", positive="yes"),
    "Event B"=list(horse="mustang"))

## check for a registered history (TRUE) 
existHistory(z)

## check to see if "Event A" has been registered 
## (TRUE) 
existHistory(z,"Event A")

## check to see if "Event D" has been registered 
## (FALSE) 
existHistory(z,"Event D")



