### Name: getHistory
### Title: Extract an Event History from an Arbitrary Object
### Aliases: getHistory
### Keywords: utilities

### ** Examples

## create a simple history 
z <- 1:5
z <- eventHistory(z, "Event A"=list(number="first", positive="yes"),
    "Event B"=list(horse="mustang"),
    "Event C"=list(string="violins and cellos", percussion="drums",
       reed="flutes and oboes"))

## extract the entire event history 
getHistory(z)

## extract only Event B (each method is 
## equivalent) 
getHistory(z,"Event B")
getHistory(z,2)
getHistory(z)["Event B"]
getHistory(z)[2]

## return entire history except the second event 
## (each method is equivalent) 
getHistory(z,-2)
getHistory(z)[-2]

## attempt to extract a non-existent event (NA is 
## returned) 
getHistory(z)["dogs"]



