### Name: msDenoiseWaveletThreshold
### Title: Wavelet Shrinkage Threshold Test
### Aliases: msDenoiseWaveletThreshold plot.msDenoiseWaveletThreshold
###   print.msDenoiseWaveletThreshold
### Keywords: manip

### ** Examples

if (!exists("qcset")) data("qcset", package="msProcess")

## grab portion of a mass spectrum and plot
x <- qcset$intensity[5000:7000,1]

## create noise and add it to the spectrum portion
sd.noise <- 2
set.seed(100)
xnoise <- x + rnorm(length(x), sd=sd.noise)

## calculate the waveshrink separation statistics
z <- msDenoiseWaveletThreshold(xnoise)
print(z)
plot(z)



