### Name: msDetrend
### Title: Baseline Correction
### Aliases: msDetrend
### Keywords: manip

### ** Examples

if (!exists("qcset")) data("qcset", package="msProcess")

## extract several spectra from the build-in
## dataset
z <- qcset[, 1:8]

## denoising
z <- msDenoise(z, FUN="wavelet", n.level=10, thresh.scale=2)

## baseline subtraction
z <- msDetrend(z, FUN="monotone", attach=TRUE)

## visualize the baseline
plot(z, process="msDetrend", subset=1:3,
    xlim=c(5000, 8500), lty=1, lwd=c(1,3))



