### Name: msImport
### Title: Mass Spectra Data Import
### Aliases: msImport
### Keywords: manip

### ** Examples

## create faux MS data files 
n.file <- 10
files <- file.path(getwd(), paste("ms", seq(n.file), ".csv", sep=""))

for (i in seq(n.file)) {
    ms <- data.frame("m/z"=(1:5), intensity=(6:10)+i)
    if (is.R())
      write.table(ms, file=files[i])
    else
      write.table(ms, file=files[i], dimnames="colnames")
}

## load the mass spectra files into a list of 
## two-column matrices 
msImport(path=files)

## do the same except use the path and pattern 
## arguments 
msImport(path=getwd(), pattern=".csv" )

## remove the files 
unlink(files)



