### Name: msImportCiphergenXML
### Title: Import Mass Spectrometry Data from a Ciphergen XML File
### Aliases: msImportCiphergenXML
### Keywords: manip

### ** Examples

## create a faux Ciphergen file with basic MS data
## information
xmlFileName <- file.path(getwd(), "ciphergen_example.xml")
cat(paste(
"<spectrum>",
   "<processingParameters>",
      "<massCalibration>",
         "<massCalibrationA>264659356.3912175</massCalibrationA>",
         "<massCalibrationB>0.0005517310499463604</massCalibrationB>",
         "<massCalibrationT0>2.053450999111159e-007</massCalibrationT0>",
      "</massCalibration>",
   "</processingParameters>",
   "<tofData>",
      "<tofDataNumSamples>5</tofDataNumSamples>",
      "<tofDataTimeZero>0</tofDataTimeZero>",
      "<tofDataSamples>2172 2163 2114 2061 2107</tofDataSamples>",
   "</tofData>",
   "<acquisitionInfo>",
      "<setting>",
         "<ionSourceVoltage>20000</ionSourceVoltage>",
         "<digitizerRate>2.5e+008</digitizerRate>",
      "</setting>",
   "</acquisitionInfo>",
   "<processedData>",
      "<processedDataSamples>",
         "10.811,4.4363 10.820,4.4179 10.828,4.3178",
         "10.837,4.2096 10.845,4.3035",
      "</processedDataSamples>",
   "</processedData>",
"</spectrum>",
sep="\n"), file=xmlFileName)

## read in the data, comparing calculated and
## preset m/z values
msImportCiphergenXML(xmlFileName, mz.calc=TRUE, digits=3)$mz
msImportCiphergenXML(xmlFileName, mz.calc=FALSE)$mz

## read in TOF and then the intensity data
msImportCiphergenXML(xmlFileName, tof=TRUE, digits=3)$tof
msImportCiphergenXML(xmlFileName, tof=FALSE)$intensity



