### Name: msNormalizeSNV
### Title: Standard Normal Variate Intensity Normalization
### Aliases: msNormalizeSNV
### Keywords: manip

### ** Examples

if (!exists("qcset")) data("qcset", package="msProcess")

## obtain a subset of a mass spectrum and add some
## noise
x <- qcset[5000:7000,1]
sd.noise <- 2
set.seed(100)
x$intensity <- x$intensity + rnorm(length(x), sd=sd.noise)
mz <- x$mz

## sum over specified MODWT MRD details and
## normalize
y <- msDenoise(x, FUN="mrd", levels=6:8, keep.smooth=FALSE)
z <- msNormalizeSNV(y)

## plot the results
old.plt <- par("plt")
par(plt=c(0.08,1,0.5,0.95))
plot(mz, x$intensity, type="l", xaxt="n", xlab="", ylab="xnoise")
par(plt=c(0.08,1,0.12,0.5), new=TRUE)
plot(mz, z$intensity, type="l", xlab="m/z", ylab="Normalized (D6+D7+D8)")
par(plt=old.plt)



