### Name: msNormalizeTIC
### Title: Intensity Normalization Using Total Ion Current
### Aliases: msNormalizeTIC
### Keywords: manip

### ** Examples

if (!exists("qcset")) data("qcset", package="msProcess")

## extract several spectra from the build-in
## dataset
z <- qcset[, 1:8]

## denoising
z <- msDenoise(z, FUN="wavelet", n.level=10, thresh.scale=2)

## baseline subtraction
z <- msDetrend(z, FUN="monotone", attach=TRUE)

## intensity normalization
z <- msNormalizeTIC(z)

## visualize the normalization
plot(z, process="msNormalize", subset=1:8,
    xlim=c(13000, 17000), lty=c(1,4), lwd=1:2)



