### Name: msPrepare
### Title: Convert an msList Object to an msSet Object
### Aliases: msPrepare
### Keywords: manip

### ** Examples

if (!exists("qclist")) data("qclist", package="msProcess")

## extract several spectra from the build-in 
## dataset qclist 
zList <- qclist[1:8]

## convert the subset to an msSet object 
cbrt <- function(x) x^(1/3)
zSet <- msPrepare(zList, mass.min=950, transform=cbrt)

## visualize a portion of the spectra 
plot(zSet, subset=NULL, xlim=c(13000, 17000), offset=0.5)



