### Name: spectrometer
### Title: Class Representing a Mass Spectrometer
### Aliases: spectrometer spectrometer-class run
###   run,spectrometer,calibrants-method run,spectrometer,proteins-method
### Keywords: manip

### ** Examples

## run a uncalibrated mass spectrometer 
sam <- proteins(masses=c(1, 95, 190), counts=as.integer(c(500, 3000, 10000)))
sim <- spectrometer(vel0.mean=350, vel0.std=75, time.resol=4e-9)
x <- run(sim, sam)
plot(x)

## run a calibrated mass spectrometer 
cal <- calibrants(masses=c(1000, 2000, 5000, 10000, 20000), counts=as.integer(rep(1000, 5)))
sim.cal <- run(sim, cal)
y <- run(sim.cal, sam)
plot(y)



