### Name: proteins
### Title: Class Representing a Protein Mixture or Sample
### Aliases: proteins proteins-class [,proteins-method
###   [<-,proteins,ANY,ANY,ANY-method [<-,proteins,ANY,ANY,proteins-method
###   Arith,proteins,proteins-method Arith,proteins,integer-method
###   Arith,proteins,missing-method Arith,numeric,proteins-method
###   Compare,proteins,proteins-method Compare,proteins,integer-method
###   Compare,numeric,proteins-method Logic,proteins,ANY-method
###   Logic,ANY,proteins-method Math,proteins-method Math2,proteins-method
###   plot,proteins,missing-method show,proteins-method
###   Summary,proteins-method
### Keywords: manip

### ** Examples

## generate two protein samples 
sam1 <- proteins(masses=c(1, 95, 190), counts=as.integer(c(500, 3000, 10000)))
sam2 <- proteins(masses=10000+200*(0:3), counts=as.integer(c(12000, 4000, 2000, 1000)))

## print the synopsis of the protein samples 
sam1
sam2

## mix the protein samples 
sam <- sam1 + sam2

## visualize the protein mixture 
plot(sam, type="h")



